### Enumeration

# GLib TokenType

#### Declaration

    enum GLib.TokenType

#### Description [src]

The possible types of token returned from each `g_scanner_get_next_token()` call.

#### Members

Name | Description
--- | ---
`G_TOKEN_EOF` | The end of the file.
`G_TOKEN_LEFT_PAREN` | A ‘(‘ character.
`G_TOKEN_RIGHT_PAREN` | A ‘)’ character.
`G_TOKEN_LEFT_CURLY` | A ‘{‘ character.
`G_TOKEN_RIGHT_CURLY` | A ‘}’ character.
`G_TOKEN_LEFT_BRACE` | A ‘[‘ character.
`G_TOKEN_RIGHT_BRACE` | A ‘]’ character.
`G_TOKEN_EQUAL_SIGN` | A ‘=’ character.
`G_TOKEN_COMMA` | A ‘,’ character.
`G_TOKEN_NONE` | Not a token.
`G_TOKEN_ERROR` | An error occurred.
`G_TOKEN_CHAR` | A character.
`G_TOKEN_BINARY` | A binary integer.
`G_TOKEN_OCTAL` | An octal integer.
`G_TOKEN_INT` | An integer.
`G_TOKEN_HEX` | A hex integer.
`G_TOKEN_FLOAT` | A floating point number.
`G_TOKEN_STRING` | A string.
`G_TOKEN_SYMBOL` | A symbol.
`G_TOKEN_IDENTIFIER` | An identifier.
`G_TOKEN_IDENTIFIER_NULL` | A null identifier.
`G_TOKEN_COMMENT_SINGLE` | One line comment.
`G_TOKEN_COMMENT_MULTI` | Multi line comment.